using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class NewsItem : BeWoEntityBase
    {
        public static string PropertyName_PublishDate = "PublishDate";

        public static string PropertyName_Text = "Text";

        public static string PropertyName_Title = "Title";

        private DateTime? _PublishDate;

        private string _Text;

        private string _Title;

        public NewsItem()
        {
            this._Tid = TableID.NewsItem;
        }

	    public virtual long? TeamOid { get; set; }

		public virtual Team Team { get; set; }

        public virtual DateTime? PublishDate
        {
            get
            {
                return this._PublishDate;
            }

            set
            {
                if (this.AreDifferent(this._PublishDate, value))
                {
                    this._PublishDate = value;
                }
            }
        }

        public virtual string Text
        {
            get
            {
                return this._Text;
            }

            set
            {
                if (this.AreDifferent(this._Text, value))
                {
                    this._Text = value;
                }
            }
        }

        public virtual string Title
        {
            get
            {
                return this._Title;
            }

            set
            {
                if (this.AreDifferent(this._Title, value))
                {
                    this._Title = value;
                }
            }
        }
    }
}